MovieClip.prototype.path = function()
{
   return targetPath(this);
};
MovieClip.prototype.setColor = function(colorSet)
{
   this.cObj.setRGB(colorSet);
};
MovieClip.prototype.idNumeric = function()
{
   return Number(this._name.substring(1));
};
MovieClip.prototype.easeOut = function(t, b, c, d)
{
   t /= d / 2;
   if(t < 1)
   {
      return c / 2 * t * t + b;
   }
   t--;
   return (- c) / 2 * (t * (t - 2) - 1) + b;
};
MovieClip.prototype.easeIn = function(current, goal, speed)
{
   if(current != goal)
   {
      var diff = goal - current;
      if(Math.abs(diff) > 1)
      {
         current += diff / speed;
         return current;
      }
      current = goal;
      delete this.onEnterFrame;
      return goal;
   }
};
MovieClip.prototype.easeProp = function()
{
   if(this[this.property] != this.goal)
   {
      var diff = this.goal - this[this.property];
      if(Math.abs(diff) > 1)
      {
         this[this.property] += diff / this.mod;
      }
      else
      {
         this[this.property] = this.goal;
         delete this.onEnterFrame;
      }
   }
   else
   {
      delete this.onEnterFrame;
   }
};
MovieClip.prototype.proportion = function(num1, denom1, denom2)
{
   num2 = num1 * denom2 / denom1;
   return num2;
};
MovieClip.prototype.bounce = function(current, goal)
{
   this.friction = 0.7;
   this.ratio = 0.1;
   this.speedX = this.speedX * this.friction + (goal - current) * this.ratio;
   return current + this.speedX;
};
MovieClip.prototype.initObj = function(x, y, alpha, width, height)
{
   this._x = x;
   this._y = y;
   if(alpha != undefined)
   {
      this._alpha = alpha;
   }
   if(width != undefined)
   {
      this._width = width;
   }
   if(height != undefined)
   {
      this._height = height;
   }
};
MovieClip.prototype.navFader = function()
{
   if(this._alpha < this.aGoal)
   {
      this._alpha = mCeil(this.easeIn(this._alpha,this.aGoal,4));
   }
   else if(this._alpha > this.aGoal)
   {
      this._alpha = mFloor(this.easeIn(this._alpha,this.aGoal,4));
   }
   else if(this._alpha == this.aGoal)
   {
      delete this.onEnterFrame;
   }
};
_global.gFunc = new Object();
_global.gFunc.moveXY = function()
{
   var dX = this.tX - this._parent._x;
   var dY = this.tY - this._parent._y;
   if(Math.abs(dX) > 1 || Math.abs(dY) > 1)
   {
      this._parent._x += dX * this.vX;
      this._parent._y += dY * this.vY;
   }
   else
   {
      this._parent._x = this.tX;
      this._parent._y = this.tY;
      delete this.onEnterFrame;
      this.removeMovieClip();
   }
};
MovieClip.prototype.moveXY = function(targetX, targetY, speedX, speedY)
{
   this.removeElasticXY();
   var act = this.createEmptyMovieClip("moveXYAct",20012);
   act.tX = targetX;
   act.tY = targetY;
   act.vX = 1 / speedX;
   act.vY = 1 / speedY;
   act.onEnterFrame = _global.gFunc.moveXY;
};
MovieClip.prototype.removeMoveXY = function()
{
   this.moveXYAct.removeMovieClip();
};
_global.gFunc.fade = function()
{
   var dA = this.obj.tA - this.obj._alpha;
   if(Math.abs(dA) > 5)
   {
      this.obj._alpha += Math.round(dA * this.obj.vA);
   }
   else
   {
      this.obj._alpha = this.obj.tA;
      if(this.obj.removeAfterFade)
      {
         this.obj.removeMovieClip();
      }
      delete this.onEnterFrame;
      this.removeMovieClip();
   }
};
MovieClip.prototype.fade = function(targetAlpha, fadeSpeed, removeAfterFade)
{
   this.tA = targetAlpha;
   this.vA = 1 / fadeSpeed;
   this.removeAfterFade = removeAfterFade;
   var act = this.createEmptyMovieClip("fadeAct",20050);
   act.obj = this;
   act.onEnterFrame = _global.gFunc.fade;
};
MovieClip.prototype.setRGB = function(colorValue)
{
   var c = new Color(this);
   c.setRGB(colorValue);
};
MovieClip.prototype.setTransform = function(ra, rb, ba, bb, ga, gb, aa, ab)
{
   var c = new Color(this);
   c.setTransform({ra:ra,rb:rb,ga:ga,gb:gb,ba:ba,bb:bb,aa:aa,ab:ab});
};
MovieClip.prototype.setBright = function(bright)
{
   var c = new Color(this);
   c.setTransform({ra:bright,rb:0,ga:bright,gb:0,ba:bright,bb:0,aa:100,ab:0});
};
_global.gFunc.animBright = function()
{
   var ra = this.cObj.getTransform().ra;
   var dR = this.obj.tBright - ra;
   if(Math.abs(dR) > 1.8)
   {
      ra += dR * this.obj.vBright;
      this.cObj.setTransform({ra:ra,rb:0,ga:ra,gb:0,ba:ra,bb:0,aa:100,ab:0});
   }
   else
   {
      this.cObj.setTransform({ra:this.obj.tBright,rb:0,ga:this.obj.tBright,gb:0,ba:this.obj.tBright,bb:0,aa:100,ab:0});
      delete this.cObj;
      delete this.onEnterFrame;
      this.removeMovieClip();
   }
};
MovieClip.prototype.animBright = function(targetBright, speedBright)
{
   this.tBright = targetBright;
   this.vBright = 1 / speedBright;
   var act = this.createEmptyMovieClip("brightAct",21100);
   act.obj = this;
   act.cObj = new Color(this);
   act.onEnterFrame = _global.gFunc.animBright;
};
MovieClip.prototype.followMouse = function(mc, offsetX, offsetY, spdX, spdY)
{
   this.onMouseMove = function()
   {
      this.moveXY(mc._xmouse + offsetX,mc._ymouse + offsetY,spdX,spdY);
      updateAfterEvent();
   };
};
MovieClip.prototype.followMouseLimit = function(mc, offsetX, offsetY, spdX, spdY, left, top, right, bottom)
{
   this.onMouseMove = function()
   {
      if(mc._xmouse + offsetX < left)
      {
         var x = left;
      }
      else if(mc._xmouse + offsetX > right)
      {
         var x = right;
      }
      else
      {
         var x = mc._xmouse + offsetX;
      }
      if(mc._ymouse + offsetY < top)
      {
         var y = top;
      }
      else if(mc._ymouse + offsetY > bottom)
      {
         var y = bottom;
      }
      else
      {
         var y = mc._ymouse + offsetY;
      }
      this.moveXY(x,y,spdX,spdY);
      updateAfterEvent();
   };
};
MovieClip.prototype.removeFollowMouse = function()
{
   delete this.onMouseMove;
};
MovieClip.prototype.getProportion = function(x1, x2, y1, y2)
{
   var mc = this.createEmptyMovieClip("proportionAct",22000);
   mc.slope = (y2 - y1) / (x2 - x1);
   mc.x1 = x1;
   mc.y1 = y1;
   mc.getProportion = function(x)
   {
      return this.slope * (x - this.x1) + this.y1;
   };
   return mc;
};
MovieClip.prototype.followMouseElastic = function(mc, offsetX, offsetY, friction, ratio, callback)
{
   var act = this.createEmptyMovieClip("followMouseElasticAct",20505);
   act.onMouseMove = function()
   {
      this._parent.elasticXY(mc._xmouse + offsetX,mc._ymouse + offsetY,friction,ratio,callback);
      updateAfterEvent();
   };
};
MovieClip.prototype.followMouseElastic2 = function(mc, offsetX, offsetY, friction, ratio, callback)
{
   var act = this.createEmptyMovieClip("followMouseElastic2Act",20506);
   act.onEnterFrame = function()
   {
      this._parent.elasticXY(mc._xmouse + offsetX,mc._ymouse + offsetY,friction,ratio,callback);
   };
};
MovieClip.prototype.followMouseElasticLimit = function(mc, offsetX, offsetY, friction, ratio, left, top, right, bottom)
{
   this.onMouseMove = function()
   {
      if(mc._xmouse + offsetX < left)
      {
         var x = left;
      }
      else if(mc._xmouse + offsetX > right)
      {
         var x = right;
      }
      else
      {
         var x = mc._xmouse + offsetX;
      }
      if(mc._ymouse + offsetY < top)
      {
         var y = top;
      }
      else if(mc._ymouse + offsetY > bottom)
      {
         var y = bottom;
      }
      else
      {
         var y = mc._ymouse + offsetY;
      }
      this.elasticXY(x,y,0,0,friction,ratio,callback);
      updateAfterEvent();
   };
};
MovieClip.prototype.removeFollowMouseElastic = function()
{
   delete this.followMouseElasticAct.removeMovieClip();
   this.removeElasticXY();
};
MovieClip.prototype.removeFollowMouseElastic2 = function()
{
   delete this.followMouseElastic2Act.removeMovieClip();
   this.removeElasticXY();
};
_global.gFunc.elasticXY = function()
{
   var dX = this.tX - this._parent._x;
   var dY = this.tY - this._parent._y;
   this._parent.vEX = this._parent.vEX * this.friction + dX * this.ratio;
   this._parent.vEY = this._parent.vEY * this.friction + dY * this.ratio;
   if(Math.abs(this._parent.vEX) > 0.5 || Math.abs(dX) > 0.5 || Math.abs(this._parent.vEY) > 0.5 || Math.abs(dY) > 0.5)
   {
      this._parent._x += this._parent.vEX;
      this._parent._y += this._parent.vEY;
   }
   else
   {
      this._parent._x = this.tX;
      this._parent._y = this.tY;
      this._parent.vEX = 0;
      this._parent.vEY = 0;
      this.callback();
      delete this.onEnterFrame;
   }
};
MovieClip.prototype.elasticXY = function(targetX, targetY, friction, ratio, callback)
{
   this.removeMoveXY();
   var act = this.createEmptyMovieClip("elasticXYAct",20212);
   act.tX = targetX;
   act.tY = targetY;
   act.friction = friction;
   act.ratio = ratio;
   act.callback = callback;
   act.onEnterFrame = _global.gFunc.elasticXY;
};
MovieClip.prototype.removeElasticXY = function()
{
   this.vEX = 0;
   this.vEY = 0;
   this.elasticXYAct.removeMovieClip();
};
_global.gFunc.kind = new Array();
gFunc.kind.pauseVid = 1;
gFunc.kind.playVid = 2;
gFunc.kind.zoomIn = 3;
gFunc.kind.zoomOut = 4;
gFunc.kind.nextStep = 5;
gFunc.kind.inchmm = 6;
gFunc.kind.dragH = 7;
gFunc.kind.dragV = 8;
gFunc.kind.scroll = 9;
gFunc.kind.rotate90 = 10;
gFunc.kind.moveMouseH = 11;
gFunc.kind.moveMouseV = 12;
gFunc.kind.moveMouseHV = 13;
_global.gFunc.widthArray = [2,2,2,2,2,1,1,1,2,2,3,3,3];
MovieClip.prototype.attachBalloon = function(kind, behavior, notch, stayTime, instanceName, depth, x, y, attachCallback, removeCallback)
{
   var mc = this.attachMovie("balloon",instanceName,depth,{_x:x,_y:y});
   mc.kind = gFunc.kind[kind];
   mc.notch = notch;
   mc.stayTime = stayTime;
   mc.attachCallback = attachCallback;
   mc.removeCallback = removeCallback;
   mc.part1.gotoAndStop(mc.kind);
   mc.part2.gotoAndStop(mc.kind);
   mc.width = gFunc.widthArray[mc.kind - 1];
   if(behavior == 1)
   {
      mc.createEmptyMovieClip("timerAct",0);
      mc.timerAct.startTime = getTimer();
      mc.timerAct.stayTime = !(!stayTime || stayTime == 0) ? stayTime : 4000;
      mc.timerAct.onEnterFrame = function()
      {
         if(getTimer() - this.startTime > this.stayTime)
         {
            this._parent.removeBalloon(this._parent.removeCallback);
            delete this.onEnterFrame;
            this.removeMovieClip();
         }
      };
   }
   return mc;
};
MovieClip.prototype.attachBalloon2 = function(kind, behavior, notch, stayTime, instanceName, depth, x, y, offsetX, offsetY, speedX, speedY, attachCallback, removeCallback)
{
   var mc = this.attachBalloon(kind,behavior,notch,stayTime,instanceName,depth,x,y,attachCallback,removeCallback);
   mc.followMouse(_root,offsetX,offsetY,speedX,speedY);
   return mc;
};
MovieClip.prototype.attachBalloon3 = function(kind, behavior, notch, stayTime, instanceName, depth, x, y, offsetX, offsetY, friction, ratio, attachCallback, removeCallback)
{
   var mc = this.attachBalloon(kind,behavior,notch,stayTime,instanceName,depth,x,y,attachCallback,removeCallback);
   mc.followMouseElastic(_root,offsetX,offsetY,friction,ratio);
   return mc;
};
MovieClip.prototype.removeBalloon = function(removeCallback)
{
   this.removeCallback = removeCallback;
   this.gotoAndPlay("hide");
};
chipHeight = 15;
chipWidth = 140;
cLMargin = 39;
cTMargin = 175;
imgTMargin = 237;
imgNum = 4;
roadNum = 4;
colorNum = 5;
intNum = 3;
maskW = 190;
maskH = 102;
mod = 4;
mode = 1;
mode2ChipX = 602;
carLevelBase = 900000;
carLevel = carLevelBase;
_quality = "Low";
imgX = new Array(380,0,380,0);
imgY = new Array(maskH * 2,maskH * 2,0,0);
maskX = new Array(0,maskW,0,maskW);
maskY = new Array(0,0,maskH,maskH);
arrOffset = Math.round((frm._width - 4) / 2);
easePropSet = function(objName, objProp, objMod, objGoal)
{
   eval(objName).goal = objGoal;
   eval(objName).property = objProp;
   eval(objName).mod = objMod;
   eval(objName).onEnterFrame = eval(objName).easeProp;
};
iSel1 = new Array("intChip2","intChip3");
iSel2 = new Array("intChip1","intChip2","intChip3");
iSel3 = new Array("intChip1","intChip2","intChip3");
iSel4 = new Array("intChip1","intChip2","intChip3");
iSel5 = new Array("intChip1","intChip2","intChip3");
iUp1 = new Array("interior2","interior3");
iUp2 = new Array("interior1","interior2","interior3");
iUp3 = new Array("interior1","interior2","interior3");
iUp4 = new Array("interior1","interior2","interior3");
iUp5 = new Array("interior1","interior2","interior3");
exteriorColor = new Array(11602714,2236962,5921370,10724259,16250094);
buildChips = function()
{
   i = 1;
   while(i <= colorNum)
   {
      trace("back to home");
      level++;
      if(this["c" + i]._x == undefined)
      {
         this.attachMovie("square","c" + i,level);
         var tmp = this["c" + i];
         tmp.initObj((i - 1) * 140 + cLMargin,cTMargin,100,0,chipHeight);
         tmp.cObj = new Color(tmp);
         tmp.onRollOver = function()
         {
            exRollOver(this.idNumeric());
         };
         tmp.onRollOut = function()
         {
            exRollOut(this.idNumeric());
         };
         tmp.onDragOut = function()
         {
            exRollOut(this.idNumeric());
         };
         tmp.onRelease = function()
         {
            exRelease(this.idNumeric());
         };
         tmp.setColor(exteriorColor[i - 1]);
      }
      easePropSet("c" + i,"_width",mod,chipWidth);
      i++;
   }
   easePropSet("c" + colorSelected,"_x",mod,(colorSelected - 1) * 140 + cLMargin);
   if(frm._x == undefined)
   {
      level++;
      this.attachMovie("colorFrame","frm",level);
      frm.initObj(cLMargin - 2,cTMargin - 2,100);
   }
   if(selBox1._x == undefined)
   {
      level++;
      this.attachMovie("selBox","selBox1",level);
      selBox1.initObj(frm._x + (frm._width - 4) / 2 - 8,frm._y + frm._height + 2);
      level++;
      selBox1.attachMovie("square","mask",level);
      selBox1.mask.initObj(0,0,100,selBox1.box._width,selBox1.box._height);
      selBox1.tg.setmask(selBox1.mask);
   }
   if(arr1._x == undefined)
   {
      level++;
      this.attachMovie("selArrow","arr1",100001);
      arr1.initObj(frm._x + (frm._width - 4) / 2,frm._y + frm._height - 2);
   }
   if(carRotator._alpha != 100)
   {
      this.attachMovie("carRotator","rotator",800000);
      rotator.initObj(746,445);
   }
   if(nextStep._alpha != 100)
   {
      this.attachMovie("nextStep","nextStep",1000000);
      nextStep.initObj(676,247);
   }
   if(pAndE._alpha != 100)
   {
      this.attachMovie("pAndE","pAndE",1000001);
      pAndE.initObj(39,496);
   }
   i = 1;
   while(i <= intNum)
   {
      this["u" + i].removeMovieClip();
      i++;
   }
};
buildIntChips = function()
{
   intNum = this["iSel" + colorSelected].length;
   frm.swapDepths(99997654);
   i = 1;
   while(i <= intNum)
   {
      level++;
      if(i != intSelected)
      {
         this.attachMovie(this["iSel" + colorSelected][i - 1],"u" + i,level);
         var tmp = this["u" + i];
         tmp.initObj((i - 1) * 140 + cLMargin,cTMargin,100,0);
         tmp.onRollOver = function()
         {
            intRollOver(this.idNumeric());
         };
         tmp.onRollOut = function()
         {
            intRollOut(this.idNumeric());
         };
         tmp.onDragOut = function()
         {
            intRollOut(this.idNumeric());
         };
         tmp.onRelease = function()
         {
            intRelease(this.idNumeric());
         };
      }
      easePropSet("u" + i,"_width",mod,chipWidth);
      i++;
   }
   easePropSet("frm","_x",mod,cLMargin - 2);
   easePropSet("arr","_x",mod * 2,cLMargin - 2 + (frm._width - 4) / 2);
   easePropSet("u" + intSelected,"_x",mod,(intSelected - 1) * 140 + cLMargin);
   if(selBox2._x == undefined)
   {
      level++;
      this.attachMovie("selBox2","selBox2",level);
      selBox2.initObj(frm._x + (frm._width - 4) / 2 - 8,frm._y + frm._height + 2);
      level++;
      selBox2.attachMovie("square","mask",level);
      selBox2.mask.initObj(0,0,100,selBox2.box._width,selBox2.box._height);
      selBox2.tg.setmask(selBox2.mask);
   }
   if(arr2._x == undefined)
   {
      level++;
      this.attachMovie("selArrow","arr2",100002);
      arr2.initObj(frm._x + (frm._width - 4) / 2,frm._y + frm._height - 2);
   }
};
buildRoadNav = function()
{
   level++;
   this.createEmptyMovieClip("roadNav",level);
   roadNav.initObj(39,212);
   level++;
   roadNav.attachMovie("roadTicks","tck",level);
   level++;
   roadNav.attachMovie("line","line",level);
   roadNav.line.initObj(0,19,100,0);
   easePropSet("roadNav.line","_width",mod,703);
   level++;
   roadNav.attachMovie("roadArr","rdArr",level);
   roadNav.rdArr.initObj(0,14);
};
buildImage = function()
{
   level++;
   this.createEmptyMovieClip("img",level);
   img.initObj(cLMargin,imgTMargin,99);
};
removeCarRot = function(id)
{
   this["carRot" + carLevel].ani.playThrough = 1;
   this["carRot" + carLevel].ani.play();
};
buildCarRot = function(id)
{
   i = carLevelBase;
   while(i <= carLevel - 2)
   {
      this["carRot" + i].removeMovieClip();
      this["carM" + i].removeMovieClip();
      i++;
   }
   level++;
   carLevel++;
   carMLevel = carLevel + 10;
   this.attachMovie("carRotation" + id,"carRot" + carLevel,carlevel);
   this["carRot" + carLevel].initObj(680,474,100);
   this["carRot" + carLevel].xGoal = 680;
   this["carRot" + carLevel].yGoal = 474;
   this["carRot" + carLevel].scaleGoal = 100;
   this["carRot" + carLevel].gotoAndStop(rotFrame);
   if(carLevel == 900001)
   {
      this["carRot" + carLevel].ani.gotoAndPlay(1);
   }
   else
   {
      this["carRot" + carLevel].ani.gotoAndStop("mid");
   }
   this.attachMovie("square","carM" + carLevel,carMLevel);
   this["carM" + carLevel].initObj(cLMargin,imgTMargin + 260,50,800,260);
   this.onEnterFrame = checkCarAni;
   this["carRot" + carLevel].setMask(this["carM" + carLevel]);
};
addImage = function(id)
{
   if(mode == 1)
   {
      trace(id);
      iLevel++;
      img.createEmptyMovieClip("i" + iLevel,iLevel);
      i = 1;
      while(i <= imgNum)
      {
         level++;
         img["i" + iLevel].attachMovie("exImg" + id,"i" + i,level);
         var tmp = img["i" + iLevel]["i" + i];
         tmp.initObj(imgX[i - 1],imgY[i - 1]);
         level++;
         img["i" + iLevel].attachMovie("square","m" + i,level);
         var tmp2 = img["i" + iLevel]["m" + i];
         tmp2.initObj(maskX[i - 1],maskY[i - 1],100,maskW,maskH);
         tmp.setMask(tmp2);
         tmp.xGoal = maskW;
         tmp.yGoal = maskH;
         var tmp3 = img["i" + (iLevel - 1)]["i" + i];
         tmp3.xGoal = imgX[i - 1];
         tmp3.yGoal = imgY[i - 1];
         i++;
      }
      imgAnimator.onEnterFrame = imgAni;
   }
};
removeImg = function()
{
   trace("remove");
   i = 1;
   while(i <= iLevel - 1)
   {
      img["i" + i].removeMovieClip();
      i++;
   }
};
buildInterior = function()
{
   if(interior._x == undefined)
   {
      level++;
      this.createEmptyMovieClip("interior",level);
      interior.initObj(cLmargin,imgTMargin);
      i = 1;
      while(i <= intNum)
      {
         level++;
         interior.attachMovie(this["iUp" + colorSelected][i - 1],"int" + i,level);
         var tmp = interior["int" + i];
         tmp.initObj(0,-300);
         level++;
         interior.attachMovie("square","intM" + i,level);
         var tmp2 = interior["intM" + i];
         tmp2.initObj(0,0,100,703,0);
         easePropSet("interior.intM" + i,"_height",mod,204);
         tmp.setMask(tmp2);
         i++;
      }
      if(intSelected == undefined)
      {
         intSelected = 1;
      }
      interior["int" + intSelected].swapDepths(100);
      level++;
      interior.attachMovie("scrollBar","scrl",level);
      interior.scrl.initObj(710,0);
   }
};
setIntMask = function(id)
{
   oldInt = intId;
   intId = id;
   var tmp = interior["intM" + intId];
   tmp._height = 0;
   easePropSet("interior.intM" + intId,"_height",mod,204);
   i = 1;
   while(i <= intNum)
   {
      interior["int" + i].swapDepths(i + 500);
      i++;
   }
   interior["int" + oldInt].swapDepths(999);
   interior["int" + intId].swapDepths(1000);
};
buildRoad = function()
{
   level++;
   this.createEmptyMovieClip("road",level);
   road.initObj(cLmargin,imgTMargin);
   road.attachMovie("rdObj","rdObj",level);
   road.rdObj._x = -2109;
   level++;
   road.attachMovie("square","rdMask",level);
   road.rdMask.initObj(0,0,100,703,0);
   easePropSet("road.rdMask","_height",mod,204);
   road.rdObj.setMask(road.rdMask);
   interior.rd1.swapDepths(100);
};
setRoadMask = function(id)
{
   oldRoad = roadId;
   roadId = id;
   var tmp = road["rdM" + roadId];
   tmp._height = 0;
   easePropSet("road.rdM" + roadId,"_height",mod,204);
   i = 1;
   while(i <= roadId)
   {
      road["rd" + i].swapDepths(i + 500);
      i++;
   }
   road["rd" + oldRoad].swapDepths(999);
   road["rd" + roadId].swapDepths(1000);
};
setSel1 = function(id)
{
   if(mode == 1)
   {
      arr1._y = 192;
      selBox1._y = 196;
      trace("setting");
      selBox1.tg.gotoAndStop(id);
      easePropSet("frm","_x",mod,140 * (id - 1) + 37);
      easePropSet("arr1","_x",mod * 2,140 * (id - 1) + 37 + (frm._width - 4) / 2);
      easePropSet("selBox1.box","_width",mod,selBox1.tg._width + 12);
      easePropSet("selBox1.mask","_width",mod,selBox1.tg._width + 12);
      if(id < 4)
      {
         easePropSet("selBox1","_x",mod * 2,140 * (id - 1) + 37 + (frm._width - 4) / 2 - 8);
      }
      else
      {
         easePropSet("selBox1","_x",mod * 2,arr1.goal - selBox1.box.goal + 8);
      }
   }
   else
   {
      arr1._y = 187;
      selBox1._y = 191;
      easePropSet("arr1","_x",mod,733);
      easePropSet("selBox1.box","_width",mod,selBox1.tg._width + 11);
      easePropSet("selBox1.mask","_width",mod,selBox1.tg._width + 11);
      easePropSet("selBox1","_x",mod,arr1.goal - selBox1.box.goal + 8);
   }
};
setSel2 = function(id)
{
   if(mode == 2)
   {
      arr2._y = 192;
      selBox2._y = 196;
      if(colorSelected > 1)
      {
         selBox2.tg.gotoAndStop(id);
      }
      else
      {
         selBox2.tg.gotoAndStop(id + 1);
      }
      trace(id + " my id");
      easePropSet("frm","_x",mod,140 * (id - 1) + 37);
      easePropSet("arr2","_x",mod * 2,140 * (id - 1) + 37 + (frm._width - 4) / 2);
      easePropSet("selBox2.box","_width",mod,selBox2.tg._width + 11);
      easePropSet("selBox2.mask","_width",mod,selBox2.tg._width + 11);
      if(id < 4)
      {
         easePropSet("selBox2","_x",mod * 2,140 * (id - 1) + 37 + (frm._width - 4) / 2 - 8);
      }
      else
      {
         easePropSet("selBox2","_x",mod * 2,arr2.goal - selBox2.box.goal + 8);
      }
   }
   else if(mode == 3)
   {
      arr2._y = 187;
      selBox2._y = 191;
      easePropSet("frm","_x",mod,-200);
      easePropSet("arr2","_x",mod,592);
      easePropSet("selBox2.box","_width",mod,selBox2.tg._width + 11);
      easePropSet("selBox2.mask","_width",mod,selBox2.tg._width + 11);
      easePropSet("selBox2","_x",mod,arr2.goal - selBox2.box.goal + 8);
   }
   else if(mode == 1)
   {
      arr2.removeMovieClip();
      selBox2.removeMovieClip();
   }
};
setSel3 = function(id)
{
   easePropSet("roadNav.rdArr","_x",mod,(id - 1) * 176 + 82);
   easePropSet("road.rdObj","_x",mod,(id - 1) * -703.2);
   rdBlr.onEnterFrame = roadBlurAni;
};
endWhite = function()
{
   this.attachMovie("whiteFade","fader",999999999);
};
